hmLoadTopic({
hmKeywords:".NET Core,.NET Framework,C,C Client Functions,Client,Client Functions,Client Sessions,COM Library,Common,CredentialsOptions,Dynamic,EntryPoint,EntryPoint licences,Execute,GetTable,GetVersion,ICONV,Java,Licence,Linkar,Linkar coding,LkProperties,LkSchemas,Login,Logout,Mono,New item (from client),OCONV,Persistent Session,Read item (from client),ResetCommonBlocks,RunSubroutine,Schemas,Select file (from client),SendCommand,subroutine,TCL (execute commands from client),try\/catch,Update (records fom client),Volatile",
hmTitle:"Client Functions",
hmDescription:"This section documents functions\/methods of the LinkarClt object. Using this library requires an understanding of these details.",
hmPrevLink:"lk_asynchronous_calls.html",
hmNextLink:"lk_login.html",
hmParentLink:"lk_linkar_clients.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a>",
hmTitlePath:"Linkar CLIENTS > Client Functions",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">Client Functions<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">This section documents functions\/methods of the LinkarClt object. Using this library requires an understanding of these details.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As noted in the EntryPoints topic, two types of sessions are used from a client application to Linkar SERVER: Persistent and Volatile.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HeadingToggle_atocs_\"><span class=\"f_HeadingToggle_atocs_\">Persistent Client Functions<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">Login\/Logout are only required for Persistent sessions with multiple transactions.<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">Login is actually a &quot;virtual&quot; operation which creates a new Client Session ID. The DBMS is not called on Login. No DBMS login is performed unless Linkar SERVER determines new Database Sessions are required. These operations are not related.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Login with a LinkarClt instance using a CredentialsOptions object to create and maintain a Client Session.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Perform Persistent transactions using functions\/methods on the LinkarClt instance.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Logout when done with a Client Session. Again, no database operation is performed. This is only to close the Client Session.<\/span><\/p><p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HeadingToggle_atocs_\"><span class=\"f_HeadingToggle_atocs_\">Volatile Client Functions<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">Login\/Logout are not used for one-off Dynamic\/Volatile transactions, which are performed with shared\/static functions.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">For a single Volatile transaction, use LinkarClt with static methods, passing in a CredentialsOptions object.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">No Client Session is maintained.<\/span><\/p><p class=\"p_HowToBulleted\"><span class=\"f_HowToBulleted\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Normal\">Linkar licencing is based on the concept of the Client Session. While a Login\/Logout session is in progress, a Linkar license is consumed. For this reason it is extremely important to keep these connections as short as possible. Individual volatile transactions consume a Linkar license only for the time during which the transaction is in progress and activity is being performed with the database.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The purpose of Persistent functions, with the virtual Login\/Logout, is to eliminate the performance penalty of authentication which is incurred when processing CredentialsOptions. This process is called once for Login and not for every transaction in that session. With Volatile transactions, authentication is performed with each operation. As noted on the EntryPoints page: All REST API transactions are Volatile.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Be sure to use try\/catch\/finally blocks to capture failed Login operations and to handle failed Volatile transactions. For Persistent transactions, wrap try\/catch\/finally around code that defines an entire session, to ensure LinkarClt.Logout is executed after Login. If Logout is not executed after Login, Client Sessions in the server will not be disposed, resulting in Linkar license consumption until an inactivity timeout on the session occurs. When this happens use Linkar MANAGER and the Client Session page to close disconnected sessions.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The table below summarizes the functions available in LinkarClt. Each function is described in its own topic in this manual. For manuals dedicated to specific languages\/frameworks, see the following:<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"\/manuals\/en_WEB_LINKARNETLIB\" target=\"_blank\" class=\"weblink\">.NET Framework, .NET Core and Mono Libraries<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"\/manuals\/en_WEB_LINKARCOMLIB\" target=\"_blank\" class=\"weblink\">COM Library<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"\/manuals\/en_WEB_LINKARJAVALIB\" target=\"_blank\" class=\"weblink\">Java Library<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"\/manuals\/en_WEB_LINKARCLIB\" target=\"_blank\" class=\"weblink\">C Library<\/a> (Note: The C library requires all functions to have all calling arguments specified.)<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Asynchronous calls are not yet available for C-based Client libraries including C, JavaScript, PHP, and Python.<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 1.5000rem;\"><table style=\"width:100%; border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Conversion<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Returns the result of executing the ICONV() or OCONV() functions of an expressions list in the database, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Delete<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Deletes one or several records of a file, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Dictionaries<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Returns all the dictionaries of a file synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Execute<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Allows the execution of any command in the database, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Format<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Returns the result of executing the FMT function of an expressions list in the database, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">GetVersion<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Allows you to obtain the Linkar Components Version and the EntryPoint parameters, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">LkSchemas<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Returns a list of all the Schemas defined in Linkar Schemas or the EntryPoint account data files, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">LkProperties<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Returns the Schema properties list defined in Linkar Schemas, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">GetTable<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Returns the query result in a relational table format, synchronously or asynchronously.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Login<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Starts the communication with a server, allowing it to use of the rest of functions until the Close method is executed or the connection with the server gets lost, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Logout<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Closes the communication with a server, which previously has been opened with a Login Function, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">New<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Creates one or several new file records, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Read<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Reads one or several file records, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">ResetCommonBlocks<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Resets the COMMON variables with the 100 most used files, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">RunSubroutine<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Executes a subroutine, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Select<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Executes a query in the database, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">SendCommand<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Allows different operations to be made, through a standard template in (XML and JSON), synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Update<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Modifies one or several file records, synchronously or asynchronously.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r"
})
