hmLoadTopic({
hmKeywords:".NET Framework,.NET Framework for COM,32bit and 64bit COM,COM Library,COM Library for Perl, PHP, Python, Ruby, VBA,InitializeProperties,Microsoft Office,Office VBA,Perl,PHP,Python,RegAsm,Ruby,VBA",
hmTitle:"COM Library",
hmDescription:"COM (Component Object Model) is a platform for software components.",
hmPrevLink:"lk_lksendcommand.html",
hmNextLink:"lk_linkar_howto.html",
hmParentLink:"lk_linkar_clients.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a>",
hmTitlePath:"Linkar CLIENTS > COM Library",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">COM Library<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">COM (Component Object Model) is a platform for software components.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">This allows dynamic object creation, in any programming language that supports the technology, including Microsoft Office VBA, PHP, Python, Perl, and Ruby.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">This library is a reduced version of the .NET client library, prepared for languages compatible with COM. Differences include:<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Only synchronous persistent functions that return LkData objects are available from client functions.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\"><a href=\"lk_classes_aut.html\" class=\"topiclink\">Automatic classes<\/a> (List&lt;T&gt;) are not included.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Objects must be requested before using data and <a href=\"lk_mv_functions.html\" class=\"topiclink\">MV Functions<\/a>.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">All objects must be wrapped-up, disposed, and set to null to ensure proper garbage collection.<\/span><\/p><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Client code must instantiate COM objects with an empty constructor. Details are then initialized using the <span style=\"font-style: italic;\">InitializeProperties<\/span> methods.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">See <a href=\"lk_linkar_clients.html\" class=\"topiclink\">Linkar CLIENTS<\/a> for a complete list of client libraries and their file names.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CalloutsHeader\"><span class=\"f_CalloutsHeader\">Install the required .NET Framework version<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_HowToBulleted\">The .NET Framework 4.5 (v4.0.30319) is required to register and develop with the LinkarClientCOM.dll. At this time this is the only supported framework version. This should not be a problem, as multiple .NET frameworks can be installed at the same time. Download and install .NET 4.5 from Microsoft if required. Reboot after installation and before continuing.<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CalloutsHeader\"><span class=\"f_CalloutsHeader\">Obtaining the COM Libraries<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">There are two COM Library DLLs:<\/p>\n\r<p class=\"p_Normal\">- The DLL for 32bit development is included in the .NET Framework x86 client package.<\/p>\n\r<p class=\"p_Normal\">- The DLL for 64bit development is included in the .NET Framework x64 client package.<\/p>\n\r<p class=\"p_Normal\">(While not completely accurate, historical convention equates <span style=\"font-weight: bold;\">32bit<\/span> with <span style=\"font-weight: bold;\">x86<\/span> architecture.)<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">For 32 bit development, download the file “Linkar_Clients_NET_Framework_x86_x_y_x.zip”.<\/p>\n\r<p class=\"p_Normal\">Optional : After extracting the files from the .zip you may wish to copy the COM library to a folder that identifies the library and the environment. This example will be used below: C:\\LinkarClients\\x<span style=\"font-weight: bold;\">86<\/span>)<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">For 64 bit development, download the file “Linkar_Clients_NET_Framework_x64_x_y_x.zip”.<\/p>\n\r<p class=\"p_Normal\">Optional : After extracting the files from the .zip you may wish to copy the COM library to a folder that identifies the library and the environment. This example will be used below: C:\\LinkarClients\\x<span style=\"font-weight: bold;\">64<\/span>)<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CalloutsHeader\"><span class=\"f_CalloutsHeader\">Register Library<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">A COM library must be registered on any computer where it is used, using the RegAsm.exe tool. The location of this tool is dependent on the versions of the .NET framework which are installed. Please seek assistance from common developer resources if required.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">On a 64 bit OS, register the 64 bit library using RegAsm.exe from:<br \/>\n\r“%WINDIR%\\Microsoft.NET\\Framework<span style=\"font-weight: bold;\">64<\/span>\\v4.0.30319\\regasm”<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">On a 32 bit OS, the “regasm” tool to be used comes from the folder that does not specify the architecture (there is no 32\/x86 folder). For example:<br \/>\n\r“%WINDIR%\\Microsoft.NET\\Framework\\v4.0.30319\\”<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">On a 64 bit OS, to register the 32 bit library for use in a 32 bit application, again, use the 32 bit RegAsm.exe:<br \/>\n\r“%WINDIR%\\Microsoft.NET\\Framework\\v4.0.30319\\”<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Open the command console with Administrator Rights (Execute as Administrator). If required, &quot;cd&quot; to the folder containing the correct RegAsm.exe. See above. To be clear, you must execute RegAsm.exe in the folder for the architecture that will run your final application.<\/p>\n\r<p class=\"p_Normal\">The command for 32bit and 64bit is the same, only the full folder path is different.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">32 bit COM library: With LinarClientCOM.dll in (example from above) “C:\\LinkarClients\\x86”:<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">regasm &quot;C:\\LinkarClients\\x86\\LinkarClientCOM.dll&quot; \/codebase \/tlb<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">(Quotes are only required if the folder includes spaces)<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">64 bit COM library: With LinarClientCOM.dll in (example from above) “C:\\LinkarClients\\x64”:<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">regasm &quot;C:\\LinkarClients\\x64\\LinkarClientCOM.dll&quot; \/codebase \/tlb<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><span style=\"font-weight: bold;\">Important<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_HowToBulleted\">For Excel and other Microsoft Office applications, the registered library must be &quot;bit-wise&quot; the same as the installed application version. Therefore, to develop for end-users with 32bit Office, the 32bit Office must be installed on the developer system, and the 32bit COM library must be registered. Do not use the 64bit library because you have a 64bit OS. Use the library for the architecture for which the application is being developed.<\/span><\/p>\n\r"
})
