hmLoadTopic({
hmKeywords:"LinkarClt",
hmTitle:"LinkarClt",
hmDescription:"The Primary Client\/Server Interface  The LinkarClt class is a primary interface between client and server, primarily responsible for sending and receiving LkData objects. There...",
hmPrevLink:"lk_functions_objects.html",
hmNextLink:"lk_credentialsoptions.html",
hmParentLink:"lk_functions_objects.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a> &gt; <a href=\"lk_functions_objects.html\">Functions Objects<\/a>",
hmTitlePath:"Linkar CLIENTS > Functions Objects > LinkarClt",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">LinkarClt<\/span><\/h1>\n\r",
hmBody:"<h2 class=\"p_Heading2_atoc_\" style=\"page-break-after: avoid; border-top: none; border-right: none; border-left: none;\"><span class=\"f_Heading2_atoc_\">The Primary Client\/Server Interface<\/span><\/h2>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The LinkarClt class is a primary interface between client and server, primarily responsible for sending and receiving LkData objects. There are two main usage patterns.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">For both usage patterns, a <a href=\"lk_credentialsoptions.html\" class=\"topiclink\">CredentialsOptions<\/a> object must be defined, containing details about the server, EntryPoint, and user+password.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">For Persistent sessions, a LinkarClt object is instantiated with an optional receiveTimeout value (see below). The Login method on that object is then called, passing in the CredentialsOptions to establish the connection. This is a &quot;virtual&quot; login to a started EntryPoint, not a login to the MV DBMS. A session ID is returned which will then accompany with all transactions from this object. In Linkar MANAGER, the Client Monitor shows the session ID for this client session until it is terminated. Operations are performed using methods on this object, until a final &quot;virtual&quot; Logout is executed which simply disposes the session ID. The DBMS connection linked with the EntryPoint remains intact.<\/span><br \/>\n\r<span class=\"f_HowToBulleted\">&nbsp;<\/span><br \/>\n\r<span class=\"f_HowToBulleted\">Note again, the Database Session is available for all transactions from any client. The Database Session is not &quot;busy&quot; from start to finish while a single Client Session is active. Many clients can obtain a session ID simultaneously, and the Database Session is only occupied as each client performs a single transaction.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">For Direct\/Volatile connections, static methods are called on the LinkarClt class. The CredentialsOptions object is passed with each transaction for a virtual login\/logout. No session ID is generated or returned. In Linkar MANAGER, the Client Monitor shows these transactions as &quot;VOLATILE&quot;. These transactions go through the same Database Sessions as Persistent sessions. The only difference is momentary nature of the Volatile session compared to the longer-term Persistent session.<\/span><\/p><p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Since a Persistent session has a single authentication for all subsequent transactions, it is much faster for a a number of transactions than the Direct sessions which need to re-authenticate with every connection.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">See EntryPoint Configuration for more insight into session types.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:8.5625rem; height:5.5625rem;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> receiveTimeout<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:4.3125rem; height:5.5625rem;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Numeric<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:5.5000rem; height:5.5625rem;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Default 0<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:64.6250rem; height:5.5625rem;\"><p class=\"p_Notes\"><span class=\"f_Notes\">The maximum time in seconds that the client will wait for a server response in each transaction. Zero deactivates the timeout and the client will wait indefinitely for any single response. Individual transactions can specify their own timeout period, but they default back to this value. It is advisable to set this to a reasonable absolute maximum and override the timeout with a value that makes sense for each individual transaction.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A1_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A1_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A1_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">Constructors<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A2_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"><span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A2_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A2_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono C#<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A2\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">LinkarClt(int receiveTimeout = 0)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LinkarClt&nbsp;linkarClt&nbsp;=&nbsp;new&nbsp;LinkarClt(receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A3_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"><span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A3_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A3_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono VB<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A3\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">LinkarClt(receiveTimeout As Integer = 0)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">Dim&nbsp;_linkarClt&nbsp;As&nbsp;LinkarClt&nbsp;=&nbsp;New&nbsp;LinkarClt(receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A4_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"><span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A4_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A4_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">Java<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A4\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">LinkarClt( [int receiveTimeout] )<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LinkarClt&nbsp;linkarClt&nbsp;=&nbsp;new&nbsp;LinkarClt(receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A5_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A5_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A5_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">Functions List<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A5\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"width:100%; border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_conversion.html\" class=\"topiclink\">Conversion<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_delete.html\" class=\"topiclink\">Delete<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_dictionaries.html\" class=\"topiclink\">Dictionaries<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_execute.html\" class=\"topiclink\">Execute<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_format.html\" class=\"topiclink\">Format<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_getversion.html\" class=\"topiclink\">GetVersion<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_schemas.html\" class=\"topiclink\">LkSchemas<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_properties.html\" class=\"topiclink\">LkProperties<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_gettable.html\" class=\"topiclink\">GetTable<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_login.html\" class=\"topiclink\">Login<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_logout.html\" class=\"topiclink\">Logout<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_new.html\" class=\"topiclink\">New<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_read.html\" class=\"topiclink\">Read<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_resetcommonblocks.html\" class=\"topiclink\">ResetCommonlocks<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_runsubroutine.html\" class=\"topiclink\">RunSubroutine<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_select.html\" class=\"topiclink\">Select<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_sendcommand.html\" class=\"topiclink\">SendCommand<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:15%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><a href=\"lk_update.html\" class=\"topiclink\">Update<\/a><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><br \/>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\" style=\"text-indent: -2.0000rem; margin: 0 0 0 2.0000rem;\">&nbsp;<\/p>\n\r"
})
