hmLoadTopic({
hmKeywords:"Input Format,LkStrings,locking,locking optimistic",
hmTitle:"LkStrings. Input Format",
hmDescription:"This topic details the format of data sent to the DBMS in New and Update operations.",
hmPrevLink:"lk_lkstrings.html",
hmNextLink:"lk_lkschemasoptions.html",
hmParentLink:"lk_functions_objects.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a> &gt; <a href=\"lk_functions_objects.html\">Functions Objects<\/a>",
hmTitlePath:"Linkar CLIENTS > Functions Objects > LkStrings. Input Format",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">LkStrings. Input Format<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">This topic details the format of data sent to the DBMS in <a href=\"lk_new.html\" class=\"topiclink\">New<\/a> and <a href=\"lk_update.html\" class=\"topiclink\">Update<\/a> operations.<br \/>\n\rChoose from three formats described here to send data to the server: MV Format, XML, or JSON. The format contained in LkStrings does not need to be pre-identified; If an LkStrings object is correctly built, Linkar will understand it and will execute the operation.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A1_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A1_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A1_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">MV Format<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\">No special organization or pre-processing is required. When specifying MV Format for New and Update operations, the DBMS will expect a common dynamic array, delimited by system delimiters. The data is identical to that used in a BASIC WRITE operation.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A2_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A2_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A2_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">XML Format<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A2\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\">One or more records can be sent to the DBMS using the XML Format. The specific XML Input Format of data transmitted to the DBMS for New and Update operations does not need to be the same as the Output Format expected back from other operations (XML, XML_DICT, XML_SCH). Feel free to Read data from the DBMS in one XML format and write it back in another.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The XML Format depends on the file dictionary, with definition IDs used as field\/element nodes within a RECORD node. If no dictionary definition is found for a named element, an error is returned and the write operation fails. Applications must be prepared for failed write operations.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Linkar will search for the LKITEMID tag for the ItemID to create\/update if required. No dictionary definition for an ID is used.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If using optimistic locking, the ORIGINAL_RECORDS tag is required.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If &quot;calculated dictionaries&quot; are used, that is, if one of the nodes references a dict definition with a correlative, Linkar will throw an error message and abort the write operation.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">MV Values and SubValues are denoted by a delimiter, not as sub-nodes. <\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Example:<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\">&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\">&lt;LINKAR&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_T_Code\">&lt;RECORDS&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;RECORD&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;LKITEMID&gt;2&lt;\/LKITEMID&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;CUSTOMER&gt;73&lt;\/CUSTOMER&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;DATE&gt;17566&lt;\/DATE&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;ITEM&gt;101105&lt;\/ITEM&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;QTY&gt;286&lt;\/QTY&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;PRICE&gt;271.18&lt;\/PRICE&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;DELIVERYDATE&gt;17619ü17659&lt;\/DELIVERYDATE&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;QTYPARTIAL&gt;143ü143&lt;\/QTYPARTIAL&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_T_Code\">&lt;\/RECORD&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_T_Code\">&lt;\/RECORDS&gt;<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\">&lt;\/LINKAR&gt;<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Experiment with the Linkar TESTER program, or with the LINKAR REST API Test utility, executing Update functions, with different UpdateOptions to see the results.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A3_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A3_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A3_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">JSON Format<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A3\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\">One or more records can be sent to the DBMS using the JSON Format. The specific JSON Input Format of data transmitted to the DBMS for New and Update operations does not need to be the same as the Output Format expected back from other operations (JSON, JSON_DICT, JSON_SCH). Feel free to Read data from the DBMS in one JSON format and write it back in another.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The JSON Format depends on the file dictionary, with definition IDs used for key\/value pairs within a RECORD array. If no dictionary definition is found for a named element, an error is returned and the write operation fails. Applications must be prepared for failed write operations.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Linkar will search for the LKITEMID property for the ItemID to create\/update if required. No dictionary definition for an ID is used.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If using optimistic locking, the ORIGINAL_RECORDS property is required.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If &quot;calculated dictionaries&quot; are used, that is, if one of the property keys references a dict definition with a correlative, Linkar will throw an error message and abort the write operation.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">MV Values and SubValues are denoted by a delimiter, not as sub-nodes. <\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Example:<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\">{<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp;&quot;RECORDS&quot;: [{<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;LKITEMID&quot;: &quot;2&quot;,<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;CUSTOMER&quot;: &quot;73&quot;,<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;DATE&quot;: &quot;17566&quot;,<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;ITEM&quot;: &quot;101105&quot;,<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;QTY&quot;: &quot;286&quot;,<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;PRICE&quot;: &quot;271.18&quot;,<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;DELIVERYDATE&quot;: &quot;17619ü17659&quot;,<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&quot;QTYPARTIAL&quot;: &quot;143ü143&quot;<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp; &nbsp; &nbsp;}<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\"> &nbsp; &nbsp;]<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_T_Code\">}<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Experiment with the Linkar TESTER program, or with the LINKAR REST API Test utility, executing Update functions, with different UpdateOptions to see the results.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
