hmLoadTopic({
hmKeywords:"Asynchronous transactions,CredentialsOptions,DataFormatTYPE,ENVELOPE_FORMAT,GitHub,GitHub XML and JSON Templates,JSON,Linkar REST API,lksendcommand,LkSendCommandD,REST API,SendCommand,SUB.LK.MAIN.CONTROL.CUSTOM,synchronous transactions,templates,templates SendCommand,XML",
hmTitle:"SendCommand_Text, SendCommandAsync_Text",
hmDescription:"SendCommand is a standard interface for a wide variety of operations, defined as standard XML or JSON requests.",
hmPrevLink:"lk_resetcommonblocks.html",
hmNextLink:"lk_functions_objects.html",
hmParentLink:"lk_client_functions.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a> &gt; <a href=\"lk_client_functions.html\">Client Functions<\/a>",
hmTitlePath:"Linkar CLIENTS > Client Functions > SendCommand",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">SendCommand_Text, SendCommandAsync_Text<\/span><\/h1>\n\r",
hmBody:"<h2 class=\"p_Heading2_atoc_\" style=\"page-break-after: avoid; border-top: none; border-right: none; border-left: none;\"><span class=\"f_Heading2_atoc_\">SendCommand is a standard interface for a wide variety of operations, defined as standard XML or JSON requests.<\/span><\/h2>\n\r<p class=\"p_Normal\">This one function can be used to perform all common CRUD requests, to execute TCL\/ECL commands, to run subroutines, and to format data. This is simply an alternative method to access a database, compared to using individual single-purpose client functions. For example, a desktop application might use the LinkarClt.SendCommand_Text static method to log a message into the database, or to do a quick retrieval of a name related to an ID. The <a href=\"lk_lksendcommand.html\" class=\"topiclink\">lksendcommand.exe<\/a> program uses this function to perform operations on remote MV databases.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Among the parameters for this function (detailed below) is the <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">commandFormat<\/span> parameter. This is set to an enumeration value to specify the format being used for the command string, either XML or JSON. The <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">command<\/span> parameter is the request itself in the specified format.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As an example of usage, to send an XML request to Execute the command &quot;<span style=\"font-weight: bold;\">COUNT fileName<\/span>&quot;, the SendCommand_Text parameter <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">commandFormat<\/span> will be the enum value ENVELOPE_FORMAT.XML, and the <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">command<\/span> payload will be as follows:<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&lt;COMMAND&nbsp;NAME=&quot;EXECUTE&quot;&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">&lt;STATEMENT&gt;<\/span><span class=\"f_CodeExample\" style=\"font-weight: bold;\">COUNT&nbsp;fileName<\/span><span class=\"f_CodeExample\">&lt;\/STATEMENT&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">&lt;CUSTOM_VARS&gt;&lt;\/CUSTOM_VARS&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">&lt;OUTPUT_FORMAT&gt;MV&lt;\/OUTPUT_FORMAT&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&lt;\/COMMAND&gt;<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If commandFormat is set to ENVELOPE_FORMAT.JSON, the <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">command<\/span> value will be <\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">{&nbsp;&quot;NAME&quot;&nbsp;:&nbsp;&quot;EXECUTE&quot;,&nbsp;&quot;COMMAND&quot;&nbsp;:&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">{&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_CodeExample\">&quot;STATEMENT&quot;&nbsp;:&nbsp;&quot;<\/span><span class=\"f_CodeExample\" style=\"font-weight: bold;\">COUNT&nbsp;fileName<\/span><span class=\"f_CodeExample\">&quot;&nbsp;,<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_CodeExample\">&quot;CUSTOM_VARS&quot;&nbsp;:&nbsp;&quot;&quot;&nbsp;,<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_CodeExample\">&quot;OUTPUT_FORMAT&quot;&nbsp;:&nbsp;&quot;MV&quot;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">}<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">}<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The OUTPUT_FORMAT in the template specifies how the result of the operation is returned, and can be <span class=\"f_Notes\"><a href=\"lk_lkstrings.html\" class=\"topiclink\">MV, XML, XML_DICT, XML_JSCH, JSON, JSON_DICT, JSON_SCH.<\/a><\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If the output format is MV, Linkar will convert the response to Base64. This prevents MV-specific delimiter characters in the XML payload from corrupting the XML structure.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">XML and JSON Templates are available at GitHub: <span style=\"color: #ff0000;\"><a href=\"https:\/\/github.com\/kosday\/Resources\" target=\"_blank\" class=\"weblink\">https:\/\/github.com\/kosday\/Resources<\/a><\/span> to copy into code and modify.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As always, white-space is ignored in XML and JSON, and is provided here only for readability.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">When using the Linkar REST API, the XML or JSON request payload also uses SendCommand Templates.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">For a full code example, see this <a href=\"http:\/\/kosday.com\/manuals\/en_WEB_LINKARNETLIB\/html\/66f16007-93eb-1695-9ee5-752dcc75b6bd.htm\" target=\"_blank\" class=\"weblink\">topic<\/a> in the LinkarClient Documentation<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\"><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As with other Client Functions, SendCommand can be executed in a Client Session after Login, or using credentialsOptions, for a Direct\/Volatile operation.<\/p>\n\r<p class=\"p_Normal\">Transactions can also be processed synchronously or asynchronously.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Note that the method name and parameters are different when this feature is used in C.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">* hasError<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">(only C)<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">BOOL*<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Only in C functions: bool pointer used in the C functions that indicates the return of the function is a system error and must be communicated to the Linkar SERVER<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">* callback<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">OperationAsyncCallbackString<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">ArrayList<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Return type in asynchronous methods. For further information see <a href=\"lk_asynchronous_calls.html\" class=\"topiclink\">ASYNCHRONOUS CALLS<\/a><\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">* credentialsOptions<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\"><a href=\"lk_credentialsoptions.html\" class=\"topiclink\">CredentialsOptions<\/a><\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\"><a href=\"lkcreatecredentialoptions.html\" class=\"topiclink\">char*<\/a><\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Object that defines the necessary data to access the database: Username, Password, EntryPoint, Language, FreeText. In the <\/span><span class=\"f_Notes\" style=\"font-weight: bold;\">C Direct Functions<\/span><span class=\"f_Notes\">, it is a char*<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">* connectionInfo<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">(only C)<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">char*<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Only in <\/span><span class=\"f_Notes\" style=\"font-weight: bold;\">C Persistent Functions<\/span><span class=\"f_Notes\">: string that is returned by the Login function and contains all the necessary connection data. This data is necessary in persistent functions.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">* command<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">string<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">char*<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Content of the operation to send<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> commandFormat<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Normal\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">enum ENVELOPE_FORMAT<\/span><\/p>\n\r<p class=\"p_Normal\">DataFormatTYPE<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Normal\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">ENVELOPE_FORMAT.XML<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Indicates the format the operation : XML or JSON<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> customVars<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">string<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">char*<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">This is a free text field to send in the transaction. If not empty, subroutine SUB.LK.MAIN.CONTROL.CUSTOM will be called. Add custom code to that subroutine to define special behaviours for some or all transactions.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> receiveTimeout<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">Numeric<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">-1<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">0<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">This is the maximum time in seconds that the client will wait for a response. Use 0 for no timeout. This is a function-specific override : -1 in a Persistent function defaults back to the timeout defined in the LinkarClt constructor.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">This function can generate exceptions.<\/p>\n\r<p class=\"p_Normal\">In COM assemblies, a return value of type String will contain an error message if an error occurs when performing the operation.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Asynchronous calls are not yet available for C-based Client libraries including C, JavaScript, PHP, and Python.<\/p>\n\r<p class=\"p_HeadingHowTo_atoc_\" style=\"page-break-after: avoid;\"><img id=\"TOGGLE0186A1_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowTo_atoc_\"><a id=\"TOGGLE0186A1_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A1_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">SendCommand. Persistent Functions<\/a> <\/span><\/p>\n\r<div id=\"TOGGLE0186A1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A2_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A2_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A2_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono C#<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A2\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">string SendCommand_Text(string command, ENVELOPE_FORMAT commandFormat = ENVELOPE_FORMAT.XML, int receiveTimeout = -1)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">string&nbsp;result&nbsp;=&nbsp;linkarclt.SendCommand_Text(command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A3_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A3_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A3_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono VB<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A3\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">SendCommand_Text(command As String, commandFormat As ENVELOPE_FORMAT = ENVELOPE_FORMAT.XML, receiveTimeout As Integer = -1) As String<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">Dim&nbsp;result&nbsp;As&nbsp;String&nbsp;=&nbsp;_linkarclt.SendCommand_Text(command,&nbsp;commandFormat,&nbsp;receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A4_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A4_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A4_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">Java<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A4\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">String SendCommand_Text(String command, ENVELOPE_FORMAT commandFormat [, int receiveTimeout] )<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">String&nbsp;result&nbsp;=&nbsp;linkarclt.SendCommand_Text(command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A5_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A5_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A5_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">C<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A5\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">char* LkSendCommand(const char* const connectionInfo, BOOL* hasError, const char* const data, DataFormatTYPE commandFormat, int receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char*&nbsp;result&nbsp;=&nbsp;LkSendCommand(connectionInfo,&nbsp;&amp;hasError,&nbsp;command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_HeadingHowTo_atoc_\" style=\"page-break-after: avoid;\"><img id=\"TOGGLE0186A6_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowTo_atoc_\"><a id=\"TOGGLE0186A6_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A6_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">SendCommand. Direct Functions<\/a> <\/span><\/p>\n\r<div id=\"TOGGLE0186A6\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A7_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A7_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A7_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono C#<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A7\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">static string SendCommand_Text(CredentialsOptions credentialsOptions, string command, ENVELOPE_FORMAT commandFormat = ENVELOPE_FORMAT.XML, int receiveTimeout = 0)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">string&nbsp;result&nbsp;=&nbsp;linkarclt.SendCommand_Text(credentialsOptions,&nbsp;command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A8_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A8_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A8_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono VB<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A8\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">Shared SendCommand_Text(_credentialsOptions As CredentialsOptions, command As String, commandFormat As ENVELOPE_FORMAT = ENVELOPE_FORMAT.XML, receiveTimeout As Integer = 0) As String<\/span><\/p>\n\r<p class=\"p_Normal\"><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">Dim&nbsp;result&nbsp;As&nbsp;String&nbsp;=&nbsp;_linkarclt.SendCommand_Text(_credentialsOptions,&nbsp;command,&nbsp;commandFormat,&nbsp;receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A9_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A9_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A9_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">Java<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A9\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">static String SendCommand_Text(CredentialsOptions credentialsOptions, String command, ENVELOPE_FORMAT commandFormat [, int receiveTimeout] )<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">String&nbsp;result&nbsp;=&nbsp;linkarclt.SendCommand_Text(credentialsOptions,&nbsp;command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186AA_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186AA_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186AA_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">C<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186AA\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">char* LkSendCommandD(const char* const credentialsOptions, BOOL* hasError, const char* const data, DataFormatTYPE commandFormat, int receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char*&nbsp;result&nbsp;=&nbsp;LkSendCommand(credentialsOptions,&nbsp;&amp;hasError,&nbsp;command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_HeadingHowTo_atoc_\" style=\"page-break-after: avoid;\"><img id=\"TOGGLE0186AB_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowTo_atoc_\"><a id=\"TOGGLE0186AB_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186AB_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">SendCommandAsync. Persistent Functions<\/a> <\/span><\/p>\n\r<div id=\"TOGGLE0186AB\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186AC_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186AC_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186AC_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono C#<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186AC\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">void SendCommandAsync_Text(OperationAsyncCallbackString callback, string command, ENVELOPE_FORMAT commandFormat = ENVELOPE_FORMAT.XML, int receiveTimeout = -1)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">linkarclt.SendCommandAsync_Text(command,&nbsp;commandFormat,&nbsp;callback,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186AD_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186AD_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186AD_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono VB<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186AD\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">SendCommandAsync_Text(callback As OperationAsyncCallbackString, command As String, commandFormat As ENVELOPE_FORMAT = ENVELOPE_FORMAT.XML, receiveTimeout As Integer = -1)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">_linkarclt.SendCommandAsync_Text(command,&nbsp;commandFormat,&nbsp;callback,&nbsp;receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186AE_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186AE_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186AE_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">Java<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186AE\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">void SendCommandAsync_Text(String command, ENVELOPE_FORMAT commandFormat, int receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">linkarclt.SendCommandAsync_Text(command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_HeadingHowTo_atoc_\" style=\"page-break-after: avoid;\"><img id=\"TOGGLE0186AF_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowTo_atoc_\"><a id=\"TOGGLE0186AF_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186AF_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">SendCommandAsync. Direct Functions<\/a> <\/span><\/p>\n\r<div id=\"TOGGLE0186AF\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186B0_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186B0_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186B0_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono C#<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186B0\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">static void SendCommandAsync_Text(OperationAsyncCallbackString callback, CredentialsOptions credentialsOptions, string command, ENVELOPE_FORMAT commandFormat = ENVELOPE_FORMAT.XML, int receiveTimeout = 0)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LinkarClt.SendCommandAsync_Text(credentialsOptions,&nbsp;command,&nbsp;commandFormat,&nbsp;callback,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186B1_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186B1_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186B1_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">.NET Framework, Core &amp; Mono VB<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186B1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">Shared SendCommandAsync_Textcallback As OperationAsyncCallbackString, _credentialsOptions As CredentialsOptions, command As String, commandFormat As ENVELOPE_FORMAT = ENVELOPE_FORMAT.XML, receiveTimeout As Integer = 0)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LinkarClt.SendCommandAsync_Text(_credentialsOptions,&nbsp;command,&nbsp;commandFormat,&nbsp;callback,&nbsp;receiveTimeout)<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186B2_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186B2_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186B2_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">Java<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186B2\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">static void SendCommandAsync_Text(ArrayList callback, CredentialsOptions credentialsOptions, String command, ENVELOPE_FORMAT commandFormat, int receiveTimeout)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LinkarClt.SendCommandAsync_Text(callback,&nbsp;credentialsOptions,&nbsp;command,&nbsp;commandFormat,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
