hmLoadTopic({
hmKeywords:"LkCreateReadOptions,LkFreeMemory,LkRead,memory",
hmTitle:"LkFreeMemory",
hmDescription:"Function to release dynamic memory assigned by other C functions",
hmPrevLink:"lkaddargumentsubroutine.html",
hmNextLink:"lkfreememorystringarray.html",
hmParentLink:"lk_c_auxiliary_functions.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a> &gt; <a href=\"lk_c_auxiliary_functions.html\">C auxiliary Functions<\/a>",
hmTitlePath:"Linkar CLIENTS > C auxiliary Functions > LkFreeMemory",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">LkFreeMemory<\/span><\/h1>\n\r",
hmBody:"<h2 class=\"p_Heading2_atoc_\" style=\"page-break-after: avoid; border-top: none; border-right: none; border-left: none;\"><span class=\"f_Heading2_atoc_\">Function to release dynamic memory assigned by other C functions<\/span><\/h2>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Functions C that return a string (char *) use dynamic memory allocation to store the return string.<\/p>\n\r<p class=\"p_Normal\">Once that string is not needed, the memory assigned to it must be released.<\/p>\n\r<p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\">Since the memory allocation was made inside the C library, the LkFreeMemory function must be used to release that memory.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">data<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">char*<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">pointer to the memory that must be released<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A1_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A1_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A1_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">C<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">char* LkFreeMemory(char* data)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char*&nbsp;readOpt&nbsp;=&nbsp;LkCreateReadOptions(TRUE,&nbsp;FALSE,&nbsp;FALSE,&nbsp;FALSE,&nbsp;FALSE);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char*&nbsp;result&nbsp;=&nbsp;LkRead(connectionInfo,&nbsp;&amp;hasError,&nbsp;filename,&nbsp;recordIds,&nbsp;dictClause,&nbsp;readOpt,&nbsp;outputStringType,&nbsp;customVars,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">\/\/&nbsp;If&nbsp;you&nbsp;are&nbsp;not&nbsp;going&nbsp;to&nbsp;perform&nbsp;more&nbsp;Read&nbsp;operations&nbsp;with&nbsp;the&nbsp;same&nbsp;options,<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">\/\/&nbsp;we&nbsp;will&nbsp;not&nbsp;need&nbsp;the&nbsp;readOpt&nbsp;string<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LkFreeMemory(readOpt);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">\/\/&nbsp;When&nbsp;the&nbsp;result&nbsp;of&nbsp;the&nbsp;Read&nbsp;operation&nbsp;is&nbsp;not&nbsp;needed,<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">\/\/&nbsp;the&nbsp;memory&nbsp;must&nbsp;be&nbsp;released<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LkFreeMemory(result);<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
