hmLoadTopic({
hmKeywords:"LkFreeMemoryStringArray",
hmTitle:"LkFreeMemoryStringArray",
hmDescription:"Function to release the dynamic memory assigned by other C functions that return a double pointer char **",
hmPrevLink:"lkfreememory.html",
hmNextLink:"wrapperpy_lkfreememorystringarray.html",
hmParentLink:"lk_c_auxiliary_functions.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a> &gt; <a href=\"lk_c_auxiliary_functions.html\">C auxiliary Functions<\/a>",
hmTitlePath:"Linkar CLIENTS > C auxiliary Functions > LkFreeMemoryStringArray",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">LkFreeMemoryStringArray<\/span><\/h1>\n\r",
hmBody:"<h2 class=\"p_Heading2_atoc_\" style=\"page-break-after: avoid; border-top: none; border-right: none; border-left: none;\"><span class=\"f_Heading2_atoc_\">Function to release the dynamic memory assigned by other C functions that return a double pointer char **<\/span><\/h2>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The C functions that return an array of strings do so by means of a double pointer (char **). In C, this is a pointer that points to an array of pointers, each of which points to a string of characters (a &quot;string&quot;).<\/p>\n\r<p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\">All this memory (the strings of characters and the array of pointers) has been assigned dynamically. And therefore it must be released when it is no longer needed. This auxiliary function is provided to assist in the release of memory.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">ptr<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">char**<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">pointer to the memory that must be released<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">count<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">uint32_t<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">number of elements (number of character strings)<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A1_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A1_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A1_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">C<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">void LkFreeMemoryStringArray(char **ptr, uint32_t count)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char*&nbsp;readOpt&nbsp;=&nbsp;LkCreateReadOptions(TRUE,&nbsp;FALSE,&nbsp;FALSE,&nbsp;FALSE,&nbsp;FALSE);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char*&nbsp;lkString&nbsp;=&nbsp;LkRead(connectionInfo,&nbsp;&amp;hasError,&nbsp;filename,&nbsp;recordIds,&nbsp;dictClause,&nbsp;readOpt,&nbsp;outputStringType,&nbsp;customVars,&nbsp;receiveTimeout);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">\/\/&nbsp;If&nbsp;you&nbsp;are&nbsp;not&nbsp;going&nbsp;to&nbsp;perform&nbsp;more&nbsp;Read&nbsp;operations&nbsp;with&nbsp;the&nbsp;same&nbsp;options,&nbsp;we&nbsp;will&nbsp;not&nbsp;need&nbsp;the&nbsp;readOpt&nbsp;string<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LkFreeMemory(readOpt);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">int&nbsp;count;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char**&nbsp;lstRecords&nbsp;=&nbsp;LkGetRecordsFromLkString(lkString,&nbsp;&amp;count);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LkFreeMemory(result);<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">\/\/&nbsp;Here&nbsp;the&nbsp;code&nbsp;to&nbsp;manage&nbsp;the&nbsp;list&nbsp;of&nbsp;records.<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">\/\/&nbsp;When&nbsp;the&nbsp;list&nbsp;of&nbsp;records&nbsp;is&nbsp;not&nbsp;needed,&nbsp;the&nbsp;memory&nbsp;must&nbsp;be&nbsp;released<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">LkFreeMemoryStringArray(lstRecords,&nbsp;count);<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
