hmLoadTopic({
hmKeywords:"CRD_OPTIONS,language,LinkarClientC.h,LkCreateCredentialsOptions,LkGetDataFromCredentialOptions",
hmTitle:"LkGetDataFromCredentialsOptions",
hmDescription:"Function that extracts a specified element from an encoded string of credentials.",
hmPrevLink:"lkcreatecredentialoptions_2.html",
hmNextLink:"lkgetdatafromconnectioninfo.html",
hmParentLink:"lk_c_auxiliary_functions.html",
hmBreadCrumbs:"<a href=\"lk_linkar_clients.html\">Linkar CLIENTS<\/a> &gt; <a href=\"lk_c_auxiliary_functions.html\">C auxiliary Functions<\/a>",
hmTitlePath:"Linkar CLIENTS > C auxiliary Functions > LkGetDataFromCredentialOptions",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">LkGetDataFromCredentialsOptions<\/span><\/h1>\n\r",
hmBody:"<h2 class=\"p_Heading2_atoc_\" style=\"page-break-after: avoid; border-top: none; border-right: none; border-left: none;\"><span class=\"f_Heading2_atoc_\">Function that extracts a specified element from an encoded string of credentials.<\/span><\/h2>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">credentialsOptions<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">char*<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">String that contains the different elements that make up the credentials.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">index<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">uint32_t<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\"><span style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">Number representing the element to be extracted from the credentials.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Using this function, you can extract each of the elements that make up the credentials from the credentials string created with the C function LkCreateCredentialsOptions, <\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p style=\"line-height: 2.4; margin: 0 0 0.6875rem 0;\">The following symbolic constants (defined in LinkarClientC.h) can be used to reference each of the elements that make up the credentials.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">#define CRD_OPTIONS_HOST 0<\/p>\n\r<p class=\"p_Normal\">#define CRD_OPTIONS_PORT 1<\/p>\n\r<p class=\"p_Normal\">#define CRD_OPTIONS_ENTRYPOINT 2<\/p>\n\r<p class=\"p_Normal\">#define CRD_OPTIONS_USERNAME 3<\/p>\n\r<p class=\"p_Normal\">#define CRD_OPTIONS_PASSWORD 4<\/p>\n\r<p class=\"p_Normal\">#define CRD_OPTIONS_LANGUAGE 5<\/p>\n\r<p class=\"p_Normal\">#define CRD_OPTIONS_FREETEXT 6<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-after: avoid; border-color: #c0c0c0; border-style: solid; border-width: thin; background: #f0f0f0; padding: 0.1875rem 0.1875rem 0.1875rem 0.1875rem; margin: 1.2500rem 0 0.9375rem 0;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.1250rem\"><img id=\"TOGGLE0186A1_ICON\" class=\"dropdown-toggle-icon\" style=\"margin:0;width:1.0000rem;height:1.0000rem;border:none\" src=\".\/images\/tog_plus.gif\"\/><\/td><td style=\"border:none;padding:0\"> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_HeadingHowToToggle_atoc_\"><a id=\"TOGGLE0186A1_LINK\" class=\"dropdown-toggle\" style=\"font-style: normal; font-weight: normal; color: #000000; letter-spacing: -0.0625rem; background-color: transparent; text-decoration: none;\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"TOGGLE0186A1_ICON\" data-src0=\".\/images\/tog_plus.gif\" data-src1=\".\/images\/tog_minus.gif\">C<\/a><\/span><\/td><\/tr><\/table><\/div><div id=\"TOGGLE0186A1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 0 2.0000rem;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span class=\"f_T_Menu\">char* LkGetDataFromCredentialsOptions(const char* const credentialsOptions, uint32_t index)<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">char*&nbsp;host&nbsp;=&nbsp;LkGetDataFromCredentialsOptions(crdOpt,&nbsp;CRD_OPTIONS_HOST);<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
